Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_PrincipalAuthenticator_out Class Reference

`#include <PrincipalAuthenticator.h>`

Collaboration diagram for TAO_PrincipalAuthenticator_out:

[legend]
List of all members.

## Public Methods
| TAO_PrincipalAuthenticator_out (TAO_PrincipalAuthenticator_ptr &)
| TAO_PrincipalAuthenticator_out (TAO_PrincipalAuthenticator_var &)
| TAO_PrincipalAuthenticator_out (const TAO_PrincipalAuthenticator_out &)
TAO_PrincipalAuthenticator_out & | operator= (const TAO_PrincipalAuthenticator_out &)
TAO_PrincipalAuthenticator_out & | operator= (const TAO_PrincipalAuthenticator_var &)
TAO_PrincipalAuthenticator_out & | operator= (TAO_PrincipalAuthenticator_ptr)
| operator TAO_PrincipalAuthenticator_ptr & ()
TAO_PrincipalAuthenticator_ptr & | ptr (void)
TAO_PrincipalAuthenticator_ptr | operator-> (void)
## Private Attributes
TAO_PrincipalAuthenticator_ptr & | ptr_

## Constructor & Destructor Documentation

TAO_PrincipalAuthenticator_out::TAO_PrincipalAuthenticator_out | ( | TAO_PrincipalAuthenticator_ptr & |  | ) |

TAO_PrincipalAuthenticator_out::TAO_PrincipalAuthenticator_out | ( | TAO_PrincipalAuthenticator_var & |  | ) |

TAO_PrincipalAuthenticator_out::TAO_PrincipalAuthenticator_out | ( | const TAO_PrincipalAuthenticator_out & |  | ) |

## Member Function Documentation

TAO_PrincipalAuthenticator_out::operator TAO_PrincipalAuthenticator_ptr & | ( |  | ) |

TAO_PrincipalAuthenticator_ptr TAO_PrincipalAuthenticator_out::operator-> | ( | void |  | ) |

TAO_PrincipalAuthenticator_out& TAO_PrincipalAuthenticator_out::operator= | ( | TAO_PrincipalAuthenticator_ptr |  | ) |

TAO_PrincipalAuthenticator_out& TAO_PrincipalAuthenticator_out::operator= | ( | const TAO_PrincipalAuthenticator_var & |  | ) |

TAO_PrincipalAuthenticator_out& TAO_PrincipalAuthenticator_out::operator= | ( | const TAO_PrincipalAuthenticator_out & |  | ) |

TAO_PrincipalAuthenticator_ptr& TAO_PrincipalAuthenticator_out::ptr | ( | void |  | ) |

## Member Data Documentation

TAO_PrincipalAuthenticator_ptr& TAO_PrincipalAuthenticator_out::ptr_`[private]`

The documentation for this class was generated from the following file:

- PrincipalAuthenticator.h